#
# spec file for package python-solumclient
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-solumclient
Version:        2.8.0
Release:        1.2
Summary:        Python API and CLI for OpenStack Solum
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{name}
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-PrettyTable
BuildRequires:  python-PyYAML
BuildRequires:  python-fixtures
BuildRequires:  python-httplib2
BuildRequires:  python-jsonschema
BuildRequires:  python-keystoneclient
BuildRequires:  python-mock
BuildRequires:  python-oslo.config
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.log
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-python-subunit
BuildRequires:  python-setuptools
BuildRequires:  python-stestr
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       python-Babel
Requires:       python-PrettyTable
Requires:       python-PyYAML
Requires:       python-httplib2
Requires:       python-iso8601
Requires:       python-jsonschema
Requires:       python-keystoneclient
Requires:       python-oslo.config
Requires:       python-oslo.i18n
Requires:       python-oslo.log
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
Requires:       python-stevedore
BuildArch:      noarch

%description
Client library for Solum built on the Solum API. It provides a Python API
(the solumclient module) and a command-line tool (solum).

%package doc
Summary:        Documentation for OpenStack Solum API client libary
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-sphinxcontrib-apidoc

%description doc
Client library for Solum built on the Solum API. It provides a Python API
(the solumclient module) and a command-line tool (solum).
This package contains the documentation.

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%py2_build

# Build HTML docs and man page
PBR_VERSION=%{version} sphinx-build -b html doc/source doc/build/html
PBR_VERSION=%{version} sphinx-build -b man doc/source doc/build/man
rm -r doc/build/html/.{doctrees,buildinfo}

%install
%py2_install

%check
# TODO(jpena): do not ignore tests once we have a patched python 2.7.5
# We are hitting http://bugs.python.org/issue18015 with two tests
if  [[ $(python --version 2>&1 | awk '{print $2}') == '2.7.5' ]];
then
    %{__python2} -m stestr.cli run ||:
else
    %{__python2} -m stestr.cli run
fi

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/solumclient
%{python2_sitelib}/*.egg-info
%{_bindir}/solum
%{_bindir}/solum-app-setup.py

%files doc
%doc doc/build/html
%license LICENSE

%changelog
